On access to PHP handler the following warning is displayed: Access to PHP handler settings management is limited because the path to the PHP CLI file is not specified.

Created:

2017-04-19 13:51:14 UTC

Modified:

2017-08-08 13:45:28 UTC

0

Was this article helpful?


Have more questions?

Submit a request

On access to PHP handler the following warning is displayed: Access to PHP handler settings management is limited because the path to the PHP CLI file is not specified.

Applicable to:

  • Plesk for Linux

Symptoms

On access to PHP handler the following warning is displayed:

    Access to PHP handler settings management is limited because the path to the PHP CLI file is not specified. 

PHP handler installed from 3rd party repo and registered in Plesk

Cause

Parameter --clipath is not specified during registering in Plesk.

Resolution

Update PHP handler settings as follows and specify path to CLI PHP, for example for PHP installed from Atomic repo:

/usr/local/psa/admin/bin/php_handlers_control --update --id=5.4-custom --clipath=/opt/atomic/atomic-php54/root/usr/bin/php

The list of necessary parameters can be found by the following command:

/usr/local/psa/admin/bin/php_handlers_control --help
Have more questions? Submit a request
Please sign in to leave a comment.